import request from '@/utils/request'

// 查询药品类型列表
export function listType(query) {
  return request({
    url: '/biosafety/type/list',
    method: 'get',
    params: query
  })
}

// 查询药品类型详细
export function getType(id) {
  return request({
    url: '/biosafety/type/' + id,
    method: 'get'
  })
}

// 新增药品类型
export function addType(data) {
  return request({
    url: '/biosafety/type',
    method: 'post',
    data: data
  })
}

// 修改药品类型
export function updateType(data) {
  return request({
    url: '/biosafety/type',
    method: 'put',
    data: data
  })
}

// 删除药品类型
export function delType(id) {
  return request({
    url: '/biosafety/type/' + id,
    method: 'delete'
  })
}
